package netscape.softupdate;

import java.util.Locale;
import java.util.ResourceBundle;

class Strings {
   private static ResourceBundle gbundle;

   public static ResourceBundle bundle() {
      if (gbundle == null) {
         try {
            gbundle = ResourceBundle.getBundle("SoftUpdateResourceBundle", Locale.getDefault());
         } catch (Throwable var1) {
            System.err.println("Could not get localized\tresources:");
            var1.printStackTrace();
            System.err.println("Using English Language Default.");
         }
      }

      return gbundle;
   }

   public static String getString(String var0) {
      try {
         return bundle().getString(var0);
      } catch (Throwable var2) {
         System.err.println("Could not get resource " + var0 + ":");
         var2.printStackTrace();
         return var0 + "(!)";
      }
   }

   static String progress_Title() {
      return getString("s9");
   }

   static String details_Explain() {
      return getString("s13");
   }

   static int details_width() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.width"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 540;
      }

      return var0;
   }

   static int details_height() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.height"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 326;
      }

      return var0;
   }

   static int details_margin() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.margin"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 12;
      }

      return var0;
   }

   static int details_btnwidth() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.btn.width"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 150;
      }

      return var0;
   }

   static int details_btnheight() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.btn.height"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 26;
      }

      return var0;
   }

   static int details_btntop() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.btn.top"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 312;
      }

      return var0;
   }

   static int details_areatop() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.area.top"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 60;
      }

      return var0;
   }

   static int details_areaheight() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.area.height"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 240;
      }

      return var0;
   }

   static int details_labeltop() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.label.top"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 40;
      }

      return var0;
   }

   static int details_labelheight() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.label.height"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 15;
      }

      return var0;
   }

   static int details_captionheight() {
      int var0 = 0;

      try {
         var0 = Integer.parseInt(getString("details.caption.height"));
      } catch (Throwable var1) {
      }

      if (var0 == 0) {
         var0 = 20;
      }

      return var0;
   }

   static String details_ExecuteProgress() {
      return getString("s16");
   }

   static String details_DeleteFile() {
      return getString("s43");
   }

   static String details_DeleteComponent() {
      return getString("s45");
   }

   static String details_ReplaceFile() {
      return getString("s46");
   }

   static String details_InstallFile() {
      return getString("s47");
   }

   static String details_Uninstall() {
      return getString("s48");
   }

   static String details_Patch() {
      return getString("s49");
   }

   static String details_ExecuteProgress2() {
      return getString("s50");
   }

   static String error_Prefix() {
      return getString("s17");
   }

   static String error_NoCertificate() {
      return error_Prefix() + getString("s18");
   }

   static String error_TooManyCertificates() {
      return error_Prefix() + getString("s19");
   }

   static String error_SilentModeDenied() {
      return error_Prefix() + getString("s20");
   }

   static String error_MustCallStart() {
      return error_Prefix() + getString("s21");
   }

   static String error_MismatchedCertificate() {
      return error_Prefix() + getString("s22");
   }

   static String error_BadPackageName() {
      return error_Prefix() + getString("s23");
   }

   static String error_Unexpected() {
      return error_Prefix() + getString("s24");
   }

   static String error_BadPackageNameAS() {
      return error_Prefix() + getString("s25");
   }

   static String error_IllegalPath() {
      return error_Prefix() + getString("s26");
   }

   static String error_InstallFileUnexpected() {
      return error_Prefix() + getString("s27");
   }

   static String error_BadJSArgument() {
      return error_Prefix() + getString("s28");
   }

   static String error_SmartUpdateDisabled() {
      return error_Prefix() + getString("s29");
   }

   static String error_VerificationFailed() {
      return error_Prefix() + getString("s30");
   }

   static String error_MissingInstaller() {
      return error_Prefix() + getString("s31");
   }

   static String error_ExtractFailed() {
      return error_Prefix() + getString("s32");
   }

   static String error_NotEnoughDiskSpace() {
      return error_Prefix() + getString("s39");
   }

   static String error_FileDoesNotExist() {
      return error_Prefix() + getString("s40");
   }

   static String error_FileReadOnly() {
      return error_Prefix() + getString("s41");
   }

   static String error_FileIsDirectory() {
      return error_Prefix() + getString("s42");
   }

   static String error_NotInRegistry() {
      return error_Prefix() + getString("s44");
   }

   static String error_PatchFailed() {
      return error_Prefix() + getString("s51");
   }
}
