package netscape.softupdate;

public class Trigger {
   public static final int MAJOR_DIFF = 4;
   public static final int MINOR_DIFF = 3;
   public static final int REL_DIFF = 2;
   public static final int BLD_DIFF = 1;
   public static final int EQUAL = 0;
   public static int DEFAULT_MODE;
   public static int FORCE_MODE = 1;
   public static int SILENT_MODE = 2;

   public static native boolean UpdateEnabled();

   public static VersionInfo GetVersionInfo(String var0) {
      return UpdateEnabled() ? VersionRegistry.componentVersion(var0) : null;
   }

   public static native boolean StartSoftwareUpdate(String var0, int var1);

   public static boolean StartSoftwareUpdate(String var0) {
      return StartSoftwareUpdate(var0, DEFAULT_MODE);
   }

   public static boolean ConditionalSoftwareUpdate(String var0, String var1, int var2, VersionInfo var3, int var4) {
      try {
         boolean var5 = false;
         if (var3 != null && var1 != null) {
            int var6 = VersionRegistry.validateComponent(var1);
            if (var6 != 3 && var6 != 9) {
               VersionInfo var7 = VersionRegistry.componentVersion(var1);
               if (var7 == null) {
                  var5 = true;
               } else if (var2 < 0) {
                  var5 = var3.compareTo(var7) <= var2;
               } else {
                  var5 = var3.compareTo(var7) >= var2;
               }
            } else {
               var5 = true;
            }
         } else {
            var5 = true;
         }

         return var5 ? StartSoftwareUpdate(var0, var4) : false;
      } catch (Throwable var8) {
         var8.printStackTrace();
         return false;
      }
   }

   public static boolean ConditionalSoftwareUpdate(String var0, String var1, String var2) {
      return ConditionalSoftwareUpdate(var0, var1, 1, (VersionInfo)(new VersionInfo(var2)), 0);
   }

   public static boolean ConditionalSoftwareUpdate(String var0, String var1, VersionInfo var2, int var3) {
      return ConditionalSoftwareUpdate(var0, var1, 1, (VersionInfo)var2, var3);
   }

   public static boolean ConditionalSoftwareUpdate(String var0, String var1, String var2, int var3) {
      return ConditionalSoftwareUpdate(var0, var1, 1, (VersionInfo)(new VersionInfo(var2)), var3);
   }

   public static boolean ConditionalSoftwareUpdate(String var0, String var1, int var2, String var3, int var4) {
      return ConditionalSoftwareUpdate(var0, var1, var2, new VersionInfo(var3), var4);
   }

   public static int CompareVersion(String var0, VersionInfo var1) {
      if (!UpdateEnabled()) {
         return 0;
      } else {
         VersionInfo var2 = GetVersionInfo(var0);
         if (var2 == null || VersionRegistry.validateComponent(var0) == 9) {
            var2 = new VersionInfo(0, 0, 0, 0);
         }

         return var2.compareTo(var1);
      }
   }

   public static int CompareVersion(String var0, String var1) {
      return CompareVersion(var0, new VersionInfo(var1));
   }

   public static int CompareVersion(String var0, int var1, int var2, int var3, int var4) {
      return CompareVersion(var0, new VersionInfo(var1, var2, var3, var4));
   }
}
