package netscape.softupdate;

public class VersionInfo {
   public static final int MAJOR_DIFF = 4;
   public static final int MINOR_DIFF = 3;
   public static final int REL_DIFF = 2;
   public static final int BLD_DIFF = 1;
   public static final int EQUAL = 0;
   private int major;
   private int minor;
   private int release;
   private int build;
   private int check;

   public VersionInfo(int var1, int var2, int var3, int var4) {
      this(var1, var2, var3, var4, 0);
   }

   public VersionInfo(int var1, int var2, int var3, int var4, int var5) {
      this.major = var1;
      this.minor = var2;
      this.release = var3;
      this.build = var4;
      this.check = var5;
   }

   public VersionInfo(String var1) {
      int var2 = var1.indexOf(46);

      try {
         if (var2 == -1) {
            this.major = Integer.parseInt(var1);
            return;
         }

         this.major = Integer.parseInt(var1.substring(0, var2));
         int var3 = var2 + 1;
         var2 = var1.indexOf(46, var3);
         if (var2 == -1) {
            this.minor = Integer.parseInt(var1.substring(var3));
            return;
         }

         this.minor = Integer.parseInt(var1.substring(var3, var2));
         var3 = var2 + 1;
         var2 = var1.indexOf(46, var3);
         if (var2 == -1) {
            this.release = Integer.parseInt(var1.substring(var3));
            return;
         }

         this.release = Integer.parseInt(var1.substring(var3, var2));
         if (var1.length() > var2) {
            this.build = Integer.parseInt(var1.substring(var2 + 1));
            return;
         }
      } catch (Exception var4) {
      }

   }

   public String toString() {
      String var1 = String.valueOf(this.major) + "." + this.minor + "." + this.release + "." + this.build;
      return var1;
   }

   public int compareTo(VersionInfo var1) {
      byte var2;
      if (var1 == null) {
         var2 = 4;
      } else if (this.major == var1.major) {
         if (this.minor == var1.minor) {
            if (this.release == var1.release) {
               if (this.build == var1.build) {
                  var2 = 0;
               } else if (this.build > var1.build) {
                  var2 = 1;
               } else {
                  var2 = -1;
               }
            } else if (this.release > var1.release) {
               var2 = 2;
            } else {
               var2 = -2;
            }
         } else if (this.minor > var1.minor) {
            var2 = 3;
         } else {
            var2 = -3;
         }
      } else if (this.major > var1.major) {
         var2 = 4;
      } else {
         var2 = -4;
      }

      return var2;
   }

   public int compareTo(String var1) {
      return this.compareTo(new VersionInfo(var1));
   }

   public int compareTo(int var1, int var2, int var3, int var4) {
      return this.compareTo(new VersionInfo(var1, var2, var3, var4));
   }
}
