package netscape.softupdate;

import java.text.MessageFormat;

final class WinProfileItem extends InstallObject {
   private WinProfile profile;
   private String section;
   private String key;
   private String value;

   WinProfileItem(WinProfile var1, String var2, String var3, String var4) throws SoftUpdateException {
      super(var1.softUpdate());
      this.profile = var1;
      this.section = var2;
      this.key = var3;
      this.value = var4;
   }

   protected void Complete() throws SoftUpdateException {
      this.profile.finalWriteString(this.section, this.key, this.value);
   }

   float GetInstallOrder() {
      return 4.0F;
   }

   public String toString() {
      Object[] var1 = new Object[]{this.profile.filename(), this.section, this.key, this.value};
      return MessageFormat.format(Strings.getString("winprofile"), var1);
   }

   protected void Abort() {
   }

   protected void Prepare() throws SoftUpdateException {
   }

   protected boolean CanUninstall() {
      return false;
   }

   protected boolean RegisterPackageNode() {
      return true;
   }
}
